from django.views.decorators.http import require_http_methods

from backend.Service.SupplierService import SupplierService
from backend.Service.TemplateCategoryService import TemplateCategoryService


@require_http_methods(['POST'])
def Create(reqeust):
    return TemplateCategoryService.Create(reqeust)

@require_http_methods(['POST'])
def Update(reqeust):
    return TemplateCategoryService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return TemplateCategoryService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return TemplateCategoryService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return TemplateCategoryService.Search(reqeust)

@require_http_methods(['POST'])
def allInfo(reqeust):
    return TemplateCategoryService.allInfo(reqeust)
@require_http_methods(['POST'])
def allList(reqeust):
    return TemplateCategoryService.allList(reqeust)

@require_http_methods(['POST'])
def treeCategory(reqeust):
    return TemplateCategoryService.treeCategory(reqeust)


